%define upstream_name    System-Command
%define upstream_version 1.106

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Object for running system commands
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/System/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(List::Util)
BuildRequires: perl(POSIX)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'System::Command' is a class that launches external system commands and
return an object representing them, allowing to interact with them through
their 'STDIN', 'STDOUT' and 'STDERR' handles.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.106.0-2.mga4
+ Revision: 542315
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 1.106.0-1.mga4
+ Revision: 497364
- update to 1.106

* Sat Oct 05 2013 sander85 <sander85> 1.105.0-1.mga4
+ Revision: 491734
- update to 1.105

* Thu Sep 12 2013 sander85 <sander85> 1.104.0-1.mga4
+ Revision: 478040
- update to 1.104

* Mon Jul 29 2013 sander85 <sander85> 1.103.0-1.mga4
+ Revision: 460630
- update to 1.103

* Fri Jul 26 2013 sander85 <sander85> 1.102.0-1.mga4
+ Revision: 458710
- update to 1.102

* Mon Jul 15 2013 sander85 <sander85> 1.101.0-1.mga4
+ Revision: 454599
- update to 1.101

* Fri Jun 07 2013 jquelin <jquelin> 1.100.0-1.mga4
+ Revision: 439923
- update to 1.100

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 373006
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.90.0-1.mga3
+ Revision: 342643
- update to 1.09

* Tue Jun 05 2012 jquelin <jquelin> 1.70.0-1.mga3
+ Revision: 255483
- update to 1.07

* Mon Jan 09 2012 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 193813
- update to 1.06
- imported package perl-System-Command


* Fri Aug 26 2011 cpan2dist 1.05-1mga
- initial mageia release, generated with cpan2dist
